GET
/api/public/v1/security/audit-logs

List audit logs

Paginated audit log for the organization.

Query Parameters

NameTypeRequiredDescription
limitnumberOptionalMaximum number of items to return (1-100).Default: 20
offsetnumberOptionalNumber of items to skip before starting to collect the result set.Default: 0
sortBystringOptionalField to sort by. Allowed values vary by endpoint.Default: createdAt
sortOrderstring
asc
desc
OptionalSort direction.Default: desc
searchstringOptionalFree-text search across the resource’s primary fields.
createdAfterstringOptionalISO 8601 timestamp — only return items created after this time.
createdBeforestringOptionalISO 8601 timestamp — only return items created before this time.
updatedAfterstringOptionalISO 8601 timestamp — only return items updated after this time.
GETExample request
curl
curl -X GET "https://www.pxb.app/api/public/v1/security/audit-logs" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key"
200Example response
json
{
  "message": "Audit logs retrieved successfully!",
  "content": {
    "auditLogs": [
      {
        "id": "log_1",
        "message": "created API key \"Production\"",
        "employee": {
          "id": "emp_456",
          "user": {
            "fullname": "Jane Doe"
          }
        }
      }
    ],
    "pagination": {
      "total": 42,
      "limit": 20,
      "offset": 0,
      "hasMore": true
    }
  }
}